Page MenuHomePhabricator

On boarding screens for the App Editor task list
Closed, ResolvedPublic3 Story Points

Description

Why are we doing this?

We would like to be able to introduce users to the App Editor Task list once they have unlocked it

User story

When I have proven myself as an editor of good standing, I want to be shown more articles requiring descriptions, so that I can grow my contributions to Wikipedia and I would like guidance on how to use this feature

Mocks

On boarding to task listTask menuOn boarding for description editing in task list
Related task: T164606

Event Timeline

cmadeo created this task.Nov 14 2018, 9:15 PM

@Charlotte I think this should have a point value of 3, I ended up changing T207332 back to the more generic task. LMK if this was wrong and I can revert my changes.

Charlotte triaged this task as Normal priority.Nov 15 2018, 11:58 AM
Charlotte set the point value for this task to 3.

Change 478233 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@master] [WIP] On boarding screens for the App Editor task list

https://gerrit.wikimedia.org/r/478233

@cmadeo @schoenbaechler What should help option point to? Currently I have made it point to the Description editing help page we have in the app.

@Sharvaniharan that's perfect, thanks!

@cmadeo I just wanted to run the disabled looks by you since we decided to have an alpha instead of different colors..
We decided 0.62 looks like this :

I just felt 0.82 looked better so here is a screenshot of that as well

Please let me know which one looks good, and if you don't feel like they are good enough i will be happy to just code freshly to the completely different disabled colors from zeplin..

RHo added a comment.Dec 17 2018, 10:24 PM

@cmadeo I just wanted to run the disabled looks by you since we decided to have an alpha instead of different colors..
We decided 0.62 looks like this :


I just felt 0.82 looked better so here is a screenshot of that as well

Please let me know which one looks good, and if you don't feel like they are good enough i will be happy to just code freshly to the completely different disabled colors from zeplin..

Hi @Sharvaniharan
Just FYI the standard alpha I'd been using is .56 on the *text*, whilst the background has the same .56 alpha. If you apply the alpha on the text as well the first screenshot should look a lot better as disabled

Thank you @RHo... let me try that..

Change 480255 had a related patch set uploaded (by Cooltey; owner: Cooltey):
[apps/android/wikipedia@master] Add onboarding dialog for "add title descriptions" screen

https://gerrit.wikimedia.org/r/480255

.56 worked perfectly!

@cmadeo final one... need the asset for the image next to 'Caption images'.

cmadeo added a comment.EditedDec 18 2018, 3:11 PM

@Sharvaniharan, thanks! Added it to Zeplin, here: https://zpl.io/brleZrD

@cmadeo having trouble importing..

Change 480542 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] Follow-up to editor task list.

https://gerrit.wikimedia.org/r/480542

Change 478233 merged by jenkins-bot:
[apps/android/wikipedia@master] On boarding screens for the App Editor task list

https://gerrit.wikimedia.org/r/478233

Change 480542 merged by jenkins-bot:
[apps/android/wikipedia@master] Follow-up to editor task list.

https://gerrit.wikimedia.org/r/480542

@Sharvaniharan sorry!

Change 480255 merged by jenkins-bot:
[apps/android/wikipedia@master] Add onboarding dialog for "add title descriptions" screen

https://gerrit.wikimedia.org/r/480255

Will move this back into the “Needs design/Design doing“ column. There’s also an updated version on Zeplin of the App editor tasks onboarding screen. I’m going to review this screen and also consider feedback from user testing for it.

This is a legacy task for “Editor tasks“ prototype. All changes will be addressed in T215630. Moving this to “Ready for signoff“.

Dbrant closed this task as Resolved.Mar 6 2019, 7:11 PM